<?php 

	$bodyart_tattoo_designer_custom_css = '';

	// Site Title Color
	$bodyart_tattoo_designer_site_title_color = get_theme_mod('bodyart_tattoo_designer_site_title_color');
	$bodyart_tattoo_designer_custom_css .= '.logo h1 a, .logo p.site-title a {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designer_site_title_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	// Site Tagline Color
	$bodyart_tattoo_designer_site_tagline_color = get_theme_mod('bodyart_tattoo_designer_site_tagline_color');
	$bodyart_tattoo_designer_custom_css .= '.logo p.site-description {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designer_site_tagline_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designer_logo_size = get_theme_mod('bodyart_tattoo_designer_logo_size'); // This value should be a percentage (e.g., 50 for 50%)
	if ($bodyart_tattoo_designer_logo_size) {
		$logo_width_px = (350 * $bodyart_tattoo_designer_logo_size) / 100; // Calculate the pixel width based on the percentage
		$bodyart_tattoo_designer_custom_css .= '.site-logo img {';
		$bodyart_tattoo_designer_custom_css .= 'width: '.esc_attr($logo_width_px).'px !important;';
		$bodyart_tattoo_designer_custom_css .= '}';
	}

	/*----------------Width Layout -------------------*/
    $bodyart_tattoo_designer_theme_lay = get_theme_mod( 'bodyart_tattoo_designer_width_options','Full Width');
    if($bodyart_tattoo_designer_theme_lay == 'Full Width'){
		$bodyart_tattoo_designer_custom_css .='body{';
			$bodyart_tattoo_designer_custom_css .='max-width: 100%;';
		$bodyart_tattoo_designer_custom_css .='}';
	}else if($bodyart_tattoo_designer_theme_lay == 'Contained Width'){
		$bodyart_tattoo_designer_custom_css .='body{';
			$bodyart_tattoo_designer_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$bodyart_tattoo_designer_custom_css .='}';
	}else if($bodyart_tattoo_designer_theme_lay == 'Boxed Width'){
		$bodyart_tattoo_designer_custom_css .='body{';
			$bodyart_tattoo_designer_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$bodyart_tattoo_designer_custom_css .='}';
	}

	// Submenu Dropdown Effect
	$bodyart_tattoo_designer_dropdown_anim = get_theme_mod('bodyart_tattoo_designer_dropdown_anim');
	$bodyart_tattoo_designer_custom_css .='.primary-navigation ul ul{';
		$bodyart_tattoo_designer_custom_css .='animation: '.esc_attr($bodyart_tattoo_designer_dropdown_anim).' 1s ease;';
	$bodyart_tattoo_designer_custom_css .='}';


	// Topbar Color

	$bodyart_tattoo_designer_topheadbg_color = get_theme_mod('bodyart_tattoo_designer_topheadbg_color');
	$bodyart_tattoo_designer_custom_css .= ' .header-box {';
		$bodyart_tattoo_designer_custom_css .= 'background: ' . esc_attr($bodyart_tattoo_designer_topheadbg_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designer_headermenu_color = get_theme_mod('bodyart_tattoo_designer_headermenu_color');
	$bodyart_tattoo_designer_custom_css .= ' .primary-navigation ul li a,.sf-arrows .sf-with-ul:after {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designer_headermenu_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designer_headeractivemenuhover_color = get_theme_mod('bodyart_tattoo_designer_headeractivemenuhover_color');
	$bodyart_tattoo_designer_custom_css .= ' .primary-navigation .current_page_item a,.primary-navigation a:hover {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designer_headeractivemenuhover_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designer_headersubmenuicon_color = get_theme_mod('bodyart_tattoo_designer_headersubmenuicon_color');
	$bodyart_tattoo_designer_custom_css .= ' .sf-arrows .sf-with-ul:after {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designer_headersubmenuicon_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designer_headersubmenu_color = get_theme_mod('bodyart_tattoo_designer_headersubmenu_color');
	$bodyart_tattoo_designer_custom_css .= ' .primary-navigation ul ul a {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designer_headersubmenu_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designer_headersubmenuhover_color = get_theme_mod('bodyart_tattoo_designer_headersubmenuhover_color');
	$bodyart_tattoo_designer_custom_css .= ' .primary-navigation ul ul a:hover {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designer_headersubmenuhover_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designer_headersubmenubg_color = get_theme_mod('bodyart_tattoo_designer_headersubmenubg_color');
	$bodyart_tattoo_designer_custom_css .= ' .primary-navigation ul ul a {';
		$bodyart_tattoo_designer_custom_css .= 'background: ' . esc_attr($bodyart_tattoo_designer_headersubmenubg_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designer_headersubmenubghover_color = get_theme_mod('bodyart_tattoo_designer_headersubmenubghover_color');
	$bodyart_tattoo_designer_custom_css .= ' .primary-navigation ul ul a:hover {';
		$bodyart_tattoo_designer_custom_css .= 'background: ' . esc_attr($bodyart_tattoo_designer_headersubmenubghover_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';


	// Slider
	$bodyart_tattoo_designer_slider_hide_show = get_theme_mod('bodyart_tattoo_designer_slider_hide_show',false);
	if($bodyart_tattoo_designer_slider_hide_show == true){
		$bodyart_tattoo_designer_custom_css .= '.page-template-home-custom .inner-head {';
			$bodyart_tattoo_designer_custom_css .= 'display: none;';
		$bodyart_tattoo_designer_custom_css .= '}';
	}

	$bodyart_tattoo_designer_slider_opacity = get_theme_mod('bodyart_tattoo_designer_slider_opacity');
	$bodyart_tattoo_designer_custom_css .= ' #slider .s-oly {';
		$bodyart_tattoo_designer_custom_css .= 'opacity: ' . esc_attr($bodyart_tattoo_designer_slider_opacity) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerslider_title_color = get_theme_mod('bodyart_tattoo_designerslider_title_color');
	$bodyart_tattoo_designer_custom_css .= ' #slider .slider-content h2 {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerslider_title_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	
	//feature

	$bodyart_tattoo_designerfeature_heading_color = get_theme_mod('bodyart_tattoo_designerfeature_heading_color');
	$bodyart_tattoo_designer_custom_css .= ' #feature-section .titlebx h4 {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerfeature_heading_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfeature_number_color = get_theme_mod('bodyart_tattoo_designerfeature_number_color');
	$bodyart_tattoo_designer_custom_css .= ' #feature-section .titlebx .num, #feature-section .titlebx .num span {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerfeature_number_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfeature_description_color = get_theme_mod('bodyart_tattoo_designerfeature_description_color');
	$bodyart_tattoo_designer_custom_css .= ' #feature-section .titlebx p {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerfeature_description_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfeature_btntext_color = get_theme_mod('bodyart_tattoo_designerfeature_btntext_color');
	$bodyart_tattoo_designer_custom_css .= ' #feature-section .headbttn a {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerfeature_btntext_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfeature_btnbg_color = get_theme_mod('bodyart_tattoo_designerfeature_btnbg_color');
	$bodyart_tattoo_designer_custom_css .= ' #feature-section .headbttn a {';
		$bodyart_tattoo_designer_custom_css .= 'background: ' . esc_attr($bodyart_tattoo_designerfeature_btnbg_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfeature_btntexthrv_color = get_theme_mod('bodyart_tattoo_designerfeature_btntexthrv_color');
	$bodyart_tattoo_designer_custom_css .= ' #feature-section .headbttn a:hover {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerfeature_btntexthrv_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfeature_boxtitle_color = get_theme_mod('bodyart_tattoo_designerfeature_boxtitle_color');
	$bodyart_tattoo_designer_custom_css .= ' #feature-section .feature-box h3 {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerfeature_boxtitle_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfeature_boxdescription_color = get_theme_mod('bodyart_tattoo_designerfeature_boxdescription_color');
	$bodyart_tattoo_designer_custom_css .= ' #feature-section .feature-box p {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerfeature_boxdescription_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfeature_boxicon_color = get_theme_mod('bodyart_tattoo_designerfeature_boxicon_color');
	$bodyart_tattoo_designer_custom_css .= ' #feature-section .icon {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerfeature_boxicon_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfeature_boxreadmore_color = get_theme_mod('bodyart_tattoo_designerfeature_boxreadmore_color');
	$bodyart_tattoo_designer_custom_css .= ' #feature-section .bttn a {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerfeature_boxreadmore_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';


	//project
	$bodyart_tattoo_designerproject_title_color = get_theme_mod('bodyart_tattoo_designerproject_title_color');
	$bodyart_tattoo_designer_custom_css .= ' #project-section .project-content h4 {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerproject_title_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerproject_description_color = get_theme_mod('bodyart_tattoo_designerproject_description_color');
	$bodyart_tattoo_designer_custom_css .= ' #project-section .project-content p {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerproject_description_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';


	//services
	$bodyart_tattoo_designerservices_description_color = get_theme_mod('bodyart_tattoo_designerservices_description_color');
	$bodyart_tattoo_designer_custom_css .= ' #service-section .service-head p {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerservices_description_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerservices_heading_color = get_theme_mod('bodyart_tattoo_designerservices_heading_color');
	$bodyart_tattoo_designer_custom_css .= ' #service-section .service-head h4 {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerservices_heading_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerservices_headingbrd_color = get_theme_mod('bodyart_tattoo_designerservices_headingbrd_color');
	$bodyart_tattoo_designer_custom_css .= ' #service-section .services-box,#service-section .serbxout {';
		$bodyart_tattoo_designer_custom_css .= 'border-color: ' . esc_attr($bodyart_tattoo_designerservices_headingbrd_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerservices_boxnum_color = get_theme_mod('bodyart_tattoo_designerservices_boxnum_color');
	$bodyart_tattoo_designer_custom_css .= ' #service-section .countbx {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerservices_boxnum_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerservices_boxtitle_color = get_theme_mod('bodyart_tattoo_designerservices_boxtitle_color');
	$bodyart_tattoo_designer_custom_css .= ' #service-section .ser-content h4 {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerservices_boxtitle_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerservices_boxtitlehover_color = get_theme_mod('bodyart_tattoo_designerservices_boxtitlehover_color');
	$bodyart_tattoo_designer_custom_css .= ' #service-section .ser-content h4:hover {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerservices_boxtitlehover_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';


	// footer
	$bodyart_tattoo_designer_footer_copy_font_size = get_theme_mod('bodyart_tattoo_designer_footer_copy_font_size');
	$bodyart_tattoo_designer_custom_css .= ' #footer-section .copyright p {';
		$bodyart_tattoo_designer_custom_css .= 'font-size: ' . esc_attr($bodyart_tattoo_designer_footer_copy_font_size) . 'px;';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfooter_copyrighttext_color = get_theme_mod('bodyart_tattoo_designerfooter_copyrighttext_color');
	$bodyart_tattoo_designer_custom_css .= ' #footer-section .copyright p {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designerfooter_copyrighttext_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfooter_copyrightbg_color = get_theme_mod('bodyart_tattoo_designerfooter_copyrightbg_color');
	$bodyart_tattoo_designer_custom_css .= ' .copyright{';
		$bodyart_tattoo_designer_custom_css .= 'background: ' . esc_attr($bodyart_tattoo_designerfooter_copyrightbg_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfooter_copyrightbg_color = get_theme_mod('bodyart_tattoo_designerfooter_copyrightbg_color');
	$bodyart_tattoo_designer_custom_css .= ' #footer-section .f_tbrd {';
		$bodyart_tattoo_designer_custom_css .= 'border-color: ' . esc_attr($bodyart_tattoo_designerfooter_copyrightbg_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designerfooter_bg_color = get_theme_mod('bodyart_tattoo_designerfooter_bg_color');
	$bodyart_tattoo_designer_custom_css .= ' #footer-section {';
		$bodyart_tattoo_designer_custom_css .= 'background: ' . esc_attr($bodyart_tattoo_designerfooter_bg_color) . ';';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designer_wedgets_color = get_theme_mod('bodyart_tattoo_designer_wedgets_color');
	$bodyart_tattoo_designer_custom_css .= ' #footer-section h1, #footer-section h2, #footer-section h3, #footer-section h4, #footer-section h5, #footer-section h6 {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designer_wedgets_color) . ' !important;';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designer_wedgets_menus_color = get_theme_mod('bodyart_tattoo_designer_wedgets_menus_color');
	$bodyart_tattoo_designer_custom_css .= ' .widget li a, aside#categories-5 li a, #footer-section a, #footer-section .logo a, #footer-section .logo p {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designer_wedgets_menus_color) . ' !important;';
	$bodyart_tattoo_designer_custom_css .= '}';

	$bodyart_tattoo_designer_wedgets_text_color = get_theme_mod('bodyart_tattoo_designer_wedgets_text_color');
	$bodyart_tattoo_designer_custom_css .= ' .footersec .widget li, .widget p {';
		$bodyart_tattoo_designer_custom_css .= 'color: ' . esc_attr($bodyart_tattoo_designer_wedgets_text_color) . ' !important;';
	$bodyart_tattoo_designer_custom_css .= '}';

